Name: H5Sget_simple_extent_dims
Signature:
  int `H5Sget_simple_extent_dims`(hid_t `space_id`, hsize_t *`dims`, hsize_t *`maxdims` )
Purpose:
  Retrieves dataspace dimension size and maximum size.
Description:
  `H5Sget_simple_extent_dims` returns the size and maximum sizes of each dimension of a dataspace through the `dims` and `maxdims` parameters.

  Either or both of `dims` and `maxdims` may be NULL.

  If a value in the returned array `maxdims` is `H5S_UNLIMITED` (-1), the maximum size of that dimension is unlimited.

Parameters:

hid_t `space_id` | IN: Identifier of the dataspace object to query
hsize_t *`dims` | OUT: Pointer to array to store the size of each dimension.
hsize_t *`maxdims` | OUT: Pointer to array to store the maximum size of each dimension.

Returns:
  Returns the number of dimensions in the dataspace if successful; otherwise returns a negative value.
Fortran90 Interface: h5sget_simple_extent_dims_f

      SUBROUTINE h5sget_simple_extent_dims_f(space_id, dims, maxdims, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: space_id   ! Dataspace identifier
        INTEGER(HSIZE_T), DIMENSION(*), INTENT(OUT) :: dims
                                                 ! Array to store dimension sizes
        INTEGER(HSIZE_T), DIMENSION(*), INTENT(OUT) :: maxdims
                                                 ! Array to store max dimension sizes
        INTEGER, INTENT(OUT) :: hdferr           ! Error code
                                                 ! Dataspace rank on success
                                                 ! and -1 on failure
      END SUBROUTINE h5sget_simple_extent_dims_f